From 793aab612cae8f36baa94cdf73429d6ea6290a8f Mon Sep 17 00:00:00 2001
From: Kieran Kunhya <kierank@obe.tv>
Date: Sun, 11 Feb 2024 21:04:36 +0000
Subject: [PATCH] h264_intrapred: Remove ff_pred16x16_horizontal_8_mmxext

---
 libavcodec/x86/h264_intrapred.asm    | 11 -----------
 libavcodec/x86/h264_intrapred_init.c |  2 --
 2 files changed, 13 deletions(-)

diff --git a/libavcodec/x86/h264_intrapred.asm b/libavcodec/x86/h264_intrapred.asm
index 8a38ba2..4871aab 100644
--- a/libavcodec/x86/h264_intrapred.asm
+++ b/libavcodec/x86/h264_intrapred.asm
@@ -78,17 +78,8 @@ cglobal pred16x16_horizontal_8, 2,3
     movd      m0, [r0+r1*0-4]
     movd      m1, [r0+r1*1-4]
 
-%if cpuflag(ssse3)
     pshufb    m0, m2
     pshufb    m1, m2
-%else
-    punpcklbw m0, m0
-    punpcklbw m1, m1
-    SPLATW    m0, m0, 3
-    SPLATW    m1, m1, 3
-    mova [r0+r1*0+8], m0
-    mova [r0+r1*1+8], m1
-%endif
 
     mova [r0+r1*0], m0
     mova [r0+r1*1], m1
@@ -98,8 +89,6 @@ cglobal pred16x16_horizontal_8, 2,3
     RET
 %endmacro
 
-INIT_MMX mmxext
-PRED16x16_H
 INIT_XMM ssse3
 PRED16x16_H
 
diff --git a/libavcodec/x86/h264_intrapred_init.c b/libavcodec/x86/h264_intrapred_init.c
index ee46927..206d696 100644
--- a/libavcodec/x86/h264_intrapred_init.c
+++ b/libavcodec/x86/h264_intrapred_init.c
@@ -100,7 +100,6 @@ PRED16x16(horizontal, 10, sse2)
 
 /* 8-bit versions */
 PRED16x16(vertical, 8, sse)
-PRED16x16(horizontal, 8, mmxext)
 PRED16x16(horizontal, 8, ssse3)
 PRED16x16(dc, 8, sse2)
 PRED16x16(dc, 8, ssse3)
@@ -170,7 +169,6 @@ av_cold void ff_h264_pred_init_x86(H264PredContext *h, int codec_id,
         }
 
         if (EXTERNAL_MMXEXT(cpu_flags)) {
-            h->pred16x16[HOR_PRED8x8            ] = ff_pred16x16_horizontal_8_mmxext;
             if (chroma_format_idc <= 1)
                 h->pred8x8[HOR_PRED8x8          ] = ff_pred8x8_horizontal_8_mmxext;
             h->pred8x8l [TOP_DC_PRED            ] = ff_pred8x8l_top_dc_8_mmxext;
-- 
1.9.1

